1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Security Requirements of browsers updated

Discussion in 'Tech Announcements' started by wiley_wiggins, Jan 26, 2017.

Dear forum reader,

if you’d like to actively participate on the forum by joining discussions or starting your own threads or topics, please log into the game first. If you do not have a game account, you will need to register for one. We look forward to your next visit! CLICK HERE
Thread Status:
Not open for further replies.
  1. wiley_wiggins

    wiley_wiggins Forum-Greenhorn

    Dear Space Pilots,

    Due to recent changes, the security settings of browsers have been changed, which may cause a warning message such as “Not secure” to appear beside the address bar on the main game page, which will go away right after you log in to the game. We want to inform you and emphasize that the security measures on our sites have not changed and remain as reliable as before, meaning your personal and payment data are protected.

    Our IT team is working to comply with the new security requirements of the latest browser versions and we expect a solution really soon. Meanwhile, please rest assured that we will take care of the safety of all players, and that your data is not at risk.

    We wish you a great weekend and lots of fun in the game!

    Your Dark Orbit Community Team
     
    Orbit_Reloaded likes this.
Thread Status:
Not open for further replies.

Share This Page